﻿/**************************************************************************************************
 * Tool:     JavaScript Web Service Calls
 * 
 * Purpose:  It is a common requirement to call the CRM services from client-side JavaScript. 
 *           However building the correct SOAP message is a pain and error prone. This tool 
 *           uses your existing .NET code and converts it to the appropriate JavaScript code that 
 *           you can instantly use in your CRM forms.
 * 
 * Date:     23 Jan 2007
 * Author:   Michael Höhne, mailto:michael.hoehne@stunnware.com
 * DevEnv:   Microsoft Visual Studio 2005
 *  
 * Please open View\Task List and select "Comments" in the task list window to see a list of actions
 * you have to perform in order to get this sample running in your test environment.
 */
using System.Windows.Forms;
using System;

namespace Stunnware.Crm.Tools {

   static class Program {
      /// <summary>
      /// The main entry point for the application.
      /// </summary>
      [STAThread]
      static void Main() {
         Application.EnableVisualStyles();
         Application.SetCompatibleTextRenderingDefault(false);
         Application.Run(new Form1());
      }
   }
}